setup.sh color variables added (#1879)

* color variables added

* unnecessary RESET removed
This commit is contained in:
Casper 2021-04-01 15:36:23 +02:00 committed by GitHub
parent bc5bc51c02
commit f3652e52c8
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -6,13 +6,24 @@
SCRIPT='setup.sh' SCRIPT='setup.sh'
WHITE="\e[37m"
RED="\e[31m"
PURPLE="\e[35m"
YELLOW="\e[93m"
ORANGE="\e[38;5;214m"
CYAN="\e[96m"
BLUE="\e[34m"
LBLUE="\e[94m"
BOLD="\e[1m"
RESET="\e[0m"
set -euEo pipefail set -euEo pipefail
trap '__log_err "${FUNCNAME[0]:-?}" "${BASH_COMMAND:-?}" "${LINENO:-?}" "${?:-?}"' ERR trap '__log_err "${FUNCNAME[0]:-?}" "${BASH_COMMAND:-?}" "${LINENO:-?}" "${?:-?}"' ERR
trap '_unset_vars || :' EXIT trap '_unset_vars || :' EXIT
function __log_err function __log_err
{ {
printf "\n \e[1m\e[31mUNCHECKED ERROR\e[0m\n%s\n%s\n%s\n%s\n\n" \ printf "\n ${BOLD}${RED}UNCHECKED ERROR${RESET}\n%s\n%s\n%s\n%s\n\n" \
" script = ${SCRIPT:-${0}}" \ " script = ${SCRIPT:-${0}}" \
" function = ${1} / ${2}" \ " function = ${1} / ${2}" \
" line = ${3}" \ " line = ${3}" \
@ -103,53 +114,53 @@ function _inspect
function _usage function _usage
{ {
# shellcheck disable=SC2059 # shellcheck disable=SC2059
printf "\e[35mSETUP\e[31m(\e[93m1\e[31m) printf "${PURPLE}SETUP${RED}(${YELLOW}1${RED})
\e[38;5;214mNAME\e[39m ${ORANGE}NAME${RESET}
${SCRIPT:-${0}} - docker-mailserver administration script ${SCRIPT:-${0}} - docker-mailserver administration script
\e[38;5;214mSYNOPSIS\e[39m ${ORANGE}SYNOPSIS${RESET}
./${SCRIPT:-${0}} [ OPTIONS\e[31m...\e[39m ] COMMAND [ help \e[31m|\e[39m ARGUMENTS\e[31m...\e[39m ] ./${SCRIPT:-${0}} [ OPTIONS${RED}...${RESET} ] COMMAND [ help ${RED}|${RESET} ARGUMENTS${RED}...${RESET} ]
COMMAND \e[31m:=\e[39m { email \e[31m|\e[39m alias \e[31m|\e[39m quota \e[31m|\e[39m config \e[31m|\e[39m relay \e[31m|\e[39m debug } SUBCOMMAND COMMAND ${RED}:=${RESET} { email ${RED}|${RESET} alias ${RED}|${RESET} quota ${RED}|${RESET} config ${RED}|${RESET} relay ${RED}|${RESET} debug } SUBCOMMAND
\e[38;5;214mDESCRIPTION\e[39m ${ORANGE}DESCRIPTION${RESET}
This is the main administration script that you use for all interactions with your This is the main administration script that you use for all interactions with your
mail server. Setup, configuration and much more is done with this script. mail server. Setup, configuration and much more is done with this script.
Please note that the script executes most of the commands inside the container itself. Please note that the script executes most of the commands inside the container itself.
If the image was not found, this script will pull the \e[37m:latest\e[39m tag of If the image was not found, this script will pull the ${WHITE}:latest${RESET} tag of
\e[37mmailserver/docker-mailserver\e[39m. This tag refers to the latest release, ${WHITE}mailserver/docker-mailserver${RESET}. This tag refers to the latest release,
see the tagging convention in the README under see the tagging convention in the README under
\e[34mhttps://github.com/docker-mailserver/docker-mailserver/blob/master/README.md\e[39m ${BLUE}https://github.com/docker-mailserver/docker-mailserver/blob/master/README.md${RESET}
You will be able to see detailed information about the script you're invoking and You will be able to see detailed information about the script you're invoking and
its arguments by appending \e[37mhelp\e[39m after your command. Currently, this its arguments by appending ${WHITE}help${RESET} after your command. Currently, this
does not work with all scripts. does not work with all scripts.
\e[38;5;214mVERSION\e[39m ${ORANGE}VERSION${RESET}
The current version of this script is backwards compatible with versions of The current version of this script is backwards compatible with versions of
\e[37mdocker-mailserver\e[39m \e[1mafter\e[0m \e[34m8.0.1\e[0m. In case that there is not a more recent release, ${WHITE}docker-mailserver${RESET} ${BOLD}after${RESET} ${BLUE}8.0.1${RESET}. In case that there is not a more recent release,
this script is currently only working with the \e[37m:edge\e[0m tag. this script is currently only working with the ${WHITE}:edge${RESET} tag.
You can download the script for your release by substituting TAG from the You can download the script for your release by substituting TAG from the
following URL, where TAG looks like 'vX.X.X': following URL, where TAG looks like 'vX.X.X':
https://raw.githubusercontent.com/docker-mailserver/docker-mailserver/TAG/setup.sh https://raw.githubusercontent.com/docker-mailserver/docker-mailserver/TAG/setup.sh
\e[38;5;214mOPTIONS\e[39m ${ORANGE}OPTIONS${RESET}
\e[94mConfig path, container or image adjustments\e[39m ${LBLUE}Config path, container or image adjustments${RESET}
-i IMAGE_NAME -i IMAGE_NAME
Provides the name of the docker-mailserver image. The default value is Provides the name of the docker-mailserver image. The default value is
\e[37mdocker.io/mailserver/docker-mailserver:latest\e[39m ${WHITE}docker.io/mailserver/docker-mailserver:latest${RESET}
-c CONTAINER_NAME -c CONTAINER_NAME
Provides the name of the running container. Provides the name of the running container.
-p PATH -p PATH
Provides the config folder path. The default is Provides the config folder path. The default is
\e[37m${CDIR}/config/\e[39m ${WHITE}${CDIR}/config/${RESET}
\e[94mSELinux\e[39m ${LBLUE}SELinux${RESET}
-z -z
Allows container access to the bind mount content that is shared among Allows container access to the bind mount content that is shared among
multiple containers on a SELinux-enabled host. multiple containers on a SELinux-enabled host.
@ -158,53 +169,53 @@ function _usage
Allows container access to the bind mount content that is private and Allows container access to the bind mount content that is private and
unshared with other containers on a SELinux-enabled host. unshared with other containers on a SELinux-enabled host.
\e[31m[\e[38;5;214mSUB\e[31m]\e[38;5;214mCOMMANDS\e[39m ${RED}[${ORANGE}SUB${RED}]${ORANGE}COMMANDS${RESET}
\e[94mCOMMAND\e[39m email \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} email ${RED}:=${RESET}
${0} email add <EMAIL ADDRESS> [<PASSWORD>] ${0} email add <EMAIL ADDRESS> [<PASSWORD>]
${0} email update <EMAIL ADDRESS> [<PASSWORD>] ${0} email update <EMAIL ADDRESS> [<PASSWORD>]
${0} email del [ OPTIONS\e[31m...\e[39m ] <EMAIL ADDRESS> [ <EMAIL ADDRESS>\e[31m...\e[39m ] ${0} email del [ OPTIONS${RED}...${RESET} ] <EMAIL ADDRESS> [ <EMAIL ADDRESS>${RED}...${RESET} ]
${0} email restrict <add\e[31m|\e[39mdel\e[31m|\e[39mlist> <send\e[31m|\e[39mreceive> [<EMAIL ADDRESS>] ${0} email restrict <add${RED}|${RESET}del${RED}|${RESET}list> <send${RED}|${RESET}receive> [<EMAIL ADDRESS>]
${0} email list ${0} email list
\e[94mCOMMAND\e[39m alias \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} alias ${RED}:=${RESET}
${0} alias add <EMAIL ADDRESS> <RECIPIENT> ${0} alias add <EMAIL ADDRESS> <RECIPIENT>
${0} alias del <EMAIL ADDRESS> <RECIPIENT> ${0} alias del <EMAIL ADDRESS> <RECIPIENT>
${0} alias list ${0} alias list
\e[94mCOMMAND\e[39m quota \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} quota ${RED}:=${RESET}
${0} quota set <EMAIL ADDRESS> [<QUOTA>] ${0} quota set <EMAIL ADDRESS> [<QUOTA>]
${0} quota del <EMAIL ADDRESS> ${0} quota del <EMAIL ADDRESS>
\e[94mCOMMAND\e[39m config \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} config ${RED}:=${RESET}
${0} config dkim [ ARGUMENTS\e[31m...\e[39m ] ${0} config dkim [ ARGUMENTS${RED}...${RESET} ]
${0} config ssl <FQDN> (\e[96mATTENTION\e[39m: This is deprecated and will be removed soon.) ${0} config ssl <FQDN> (${CYAN}ATTENTION${RESET}: This is deprecated and will be removed soon.)
\e[94mCOMMAND\e[39m relay \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} relay ${RED}:=${RESET}
${0} relay add-domain <DOMAIN> <HOST> [<PORT>] ${0} relay add-domain <DOMAIN> <HOST> [<PORT>]
${0} relay add-auth <DOMAIN> <USERNAME> [<PASSWORD>] ${0} relay add-auth <DOMAIN> <USERNAME> [<PASSWORD>]
${0} relay exclude-domain <DOMAIN> ${0} relay exclude-domain <DOMAIN>
\e[94mCOMMAND\e[39m debug \e[31m:=\e[39m ${LBLUE}COMMAND${RESET} debug ${RED}:=${RESET}
${0} debug fetchmail ${0} debug fetchmail
${0} debug fail2ban [unban <IP>] ${0} debug fail2ban [unban <IP>]
${0} debug show-mail-logs ${0} debug show-mail-logs
${0} debug inspect ${0} debug inspect
${0} debug login <COMMANDS> ${0} debug login <COMMANDS>
\e[38;5;214mEXAMPLES\e[39m ${ORANGE}EXAMPLES${RESET}
\e[37m./setup.sh email add test@domain.tld\e[39m ${WHITE}./setup.sh email add test@domain.tld${RESET}
Add the email account \e[37mtest@domain.tld\e[39m. You will be prompted Add the email account ${WHITE}test@domain.tld${RESET}. You will be prompted
to input a password afterwards since no password was supplied. to input a password afterwards since no password was supplied.
\e[37m./setup.sh config dkim keysize 2048 domain 'whoami.com,whoareyou.org'\e[39m ${WHITE}./setup.sh config dkim keysize 2048 domain 'whoami.com,whoareyou.org'${RESET}
Creates keys of length 2048 but in an LDAP setup where domains are not known to Creates keys of length 2048 but in an LDAP setup where domains are not known to
Postfix by default, so you need to provide them yourself in a comma-separated list. Postfix by default, so you need to provide them yourself in a comma-separated list.
\e[37m./setup.sh config dkim help\e[39m ${WHITE}./setup.sh config dkim help${RESET}
This will provide you with a detailed explanation on how to use the \e[37m This will provide you with a detailed explanation on how to use the ${WHITE}
config dkim\e[39m command, showing what arguments can be passed and what they do. config dkim${RESET} command, showing what arguments can be passed and what they do.
\e[38;5;214mEXIT STATUS\e[39m ${ORANGE}EXIT STATUS${RESET}
Exit status is 0 if the command was successful. If there was an unexpected error, an error Exit status is 0 if the command was successful. If there was an unexpected error, an error
message is shown describing the error. In case of an error, the script will exit with exit message is shown describing the error. In case of an error, the script will exit with exit
status 1. status 1.